aboutsummaryrefslogtreecommitdiff
path: root/office
diff options
context:
space:
mode:
Diffstat (limited to 'office')
-rw-r--r--office/eid-mw/README18
-rw-r--r--office/eid-mw/doinst.sh11
-rw-r--r--office/eid-mw/eid-mw.SlackBuild125
-rw-r--r--office/eid-mw/eid-mw.info10
-rw-r--r--office/eid-mw/slack-desc19
5 files changed, 183 insertions, 0 deletions
diff --git a/office/eid-mw/README b/office/eid-mw/README
new file mode 100644
index 000000000000..c8f51846bd51
--- /dev/null
+++ b/office/eid-mw/README
@@ -0,0 +1,18 @@
+This package contains software and viewer for the Belgian electronic
+identity card. With this, you can:
+
+- Communicate with secure websites that require eID authentication
+- Sign documents and emails using your eID
+- Using the viewer, read the identity data on eID cards, verify their
+ validity, and store them for future usage
+- Using the provided API, do all of the above in custom applications
+ of your own.
+
+So as to use your card reader on Firefox, you will have to install
+the Mozilla add-on:
+
+https://addons.mozilla.org/firefox/addon/belgium-eid/
+
+If you need any help, please visit https://eid.belgium.be
+
+Optional dependencies: pcsc-tools, libp11 and pkcs11-helper
diff --git a/office/eid-mw/doinst.sh b/office/eid-mw/doinst.sh
new file mode 100644
index 000000000000..9faab9796373
--- /dev/null
+++ b/office/eid-mw/doinst.sh
@@ -0,0 +1,11 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas >/dev/null 2>&1
diff --git a/office/eid-mw/eid-mw.SlackBuild b/office/eid-mw/eid-mw.SlackBuild
new file mode 100644
index 000000000000..7beec01bfc17
--- /dev/null
+++ b/office/eid-mw/eid-mw.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+
+# Slackware build script for eid-mw
+
+# Copyright 2024 Olivier Brouckaert <olivier.b@i-services.be>, Brussels, Belgium
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=eid-mw
+VERSION=${VERSION:-5.1.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-v$VERSION
+tar -xvzf $CWD/$PRGNAM-$VERSION-v$VERSION.tar.gz
+cd $PRGNAM-$VERSION-v$VERSION
+
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-webextension \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make || exit
+make install DESTDIR=$PKG || exit
+
+rm -f $PKG/usr/lib*/{*.a,*.la}
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+sed -i /^Encoding/d $PKG/usr/share/applications/eid-viewer.desktop
+
+if [ $LIBDIRSUFFIX == "64" ]; then
+ mv $PKG/usr/lib/mozilla $PKG/usr/lib64/
+ rmdir $PKG/usr/lib
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS COPYING README.md doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/eid-mw/eid-mw.info b/office/eid-mw/eid-mw.info
new file mode 100644
index 000000000000..ba34f1afdacf
--- /dev/null
+++ b/office/eid-mw/eid-mw.info
@@ -0,0 +1,10 @@
+PRGNAM="eid-mw"
+VERSION="5.1.18"
+HOMEPAGE="https://eid.belgium.be"
+DOWNLOAD="https://eid.belgium.be/sites/default/files/software/eid-mw-5.1.18-v5.1.18.tar.gz"
+MD5SUM="0eb05775e0669a446f4ad90929fdee4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pcsc-lite ccid"
+MAINTAINER="Olivier Brouckaert"
+EMAIL="olivier.b@i-services.be"
diff --git a/office/eid-mw/slack-desc b/office/eid-mw/slack-desc
new file mode 100644
index 000000000000..8dd21625ceea
--- /dev/null
+++ b/office/eid-mw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eid-mw: eid-mw (BeID middleware)
+eid-mw:
+eid-mw: This package contains the software and viewer for the Belgian
+eid-mw: electronic identity card. With this, you can:
+eid-mw: - Communicate with secure websites that require eID authentication
+eid-mw: - Sign documents and emails using your eID
+eid-mw: - Using the viewer, read the identity data on eID cards, verify their
+eid-mw: validity, and store them for future usage
+eid-mw: - Using the provided API, do all of the above in custom applications
+eid-mw: of your own.
+eid-mw: